Subject: bug#72254: 29.4; Cannot yank media when image come from Gnome-shell screenshot

From: Robert Pluim <[email-masked]>
Date: Tue, 20 Aug 2024 12:12:21 +0200

>>>>> On Wed, 24 Jul 2024 22:11:30 +0800, Po Lu <[email-masked]> said:

    Po Lu> Robert Pluim <[email-masked]> writes:
    >>>>>>> On Wed, 24 Jul 2024 20:12:30 +0800, Po Lu <[email-masked]> said:
    >> 
    >> Po Lu> Robert Pluim <[email-masked]> writes:
    >> >>>>>>> On Wed, 24 Jul 2024 17:29:54 +0800, Po Lu <[email-masked]> said:
    >> >> 
    >> >> Po Lu> I would prefer to treat this as a bug in GTK by installing a workaround,
    >> >> Po Lu> perhaps in the spirit of:
    >> >> 
    >> >> That works for me (once I remove the '&' from `val' in the make_vector
    >> >> call) on Fedora 40 with a pgtk emacs.
    >> >> 
    >> >> An x11 emacs on the same system doesnʼt need a similar fix. I guess
    >> >> this is the GTK folks removing 'legacy' stuff.
    >> >> 
    >> >> Robert
    >> 
    >> Po Lu> Right.  Has anyone anything further to say before this is installed?
    >> 
    >> Not me. I assume youʼre putting it in emacs-30?

    Po Lu> Yes.

I donʼt see this change on the emacs-30 branch, is anything more needed?

Thanks

Robert
--